using APT.BaseData.Domain.Entities;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping
{
	public class PFCodeRuleSerialLogMap : APTEntityBaseMap<T_PF_CODE_RULE_SERIAL_LOG>
    {
		public override void Configure(EntityTypeBuilder<T_PF_CODE_RULE_SERIAL_LOG> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.SERIAL)
				  .HasMaxLength(50);
			builder.Property(t => t.DATE_VALUE)
			   .HasMaxLength(30);
		}
		 
    }
}
